# Uses of Class
org.apache.lucene.spatial.prefix.tree.QuadPrefixTree

Packages that use QuadPrefixTree
Package
Description
org.apache.lucene.spatial.prefix.tree
This package is about SpatialPrefixTree and any supporting classes.

- ## Uses of QuadPrefixTree in org.apache.lucene.spatial.prefix.tree

  Subclasses of QuadPrefixTree in org.apache.lucene.spatial.prefix.tree
  Modifier and Type
  Class
  Description
  `class`
  `PackedQuadPrefixTree`
  Uses a compact binary representation of 8 bytes to encode a spatial quad trie.
  Methods in org.apache.lucene.spatial.prefix.tree that return QuadPrefixTree
  Modifier and Type
  Method
  Description
  `protected QuadPrefixTree`
  QuadPrefixTree.QuadCell.`getGrid()`